source: projects/vine-manual-base/trunk/Makefile.in @ 2734

Revision 2734, 20.5 KB checked in by yasumichi, 13 years ago (diff)
  • pkgconfig対応
Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-manual-base.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-manual-base.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CSS = @CSS@
108CSSDIR = @CSSDIR@
109CVSDATA = @CVSDATA@
110CYGPATH_W = @CYGPATH_W@
111DEFS = @DEFS@
112ECHO_C = @ECHO_C@
113ECHO_N = @ECHO_N@
114ECHO_T = @ECHO_T@
115INDEX = @INDEX@
116INSTALL = @INSTALL@
117INSTALL_DATA = @INSTALL_DATA@
118INSTALL_PROGRAM = @INSTALL_PROGRAM@
119INSTALL_SCRIPT = @INSTALL_SCRIPT@
120INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
121LIBOBJS = @LIBOBJS@
122LIBS = @LIBS@
123LTLIBOBJS = @LTLIBOBJS@
124MAKEINFO = @MAKEINFO@
125MKDIR_P = @MKDIR_P@
126MKTEMP = @MKTEMP@
127PACKAGE = @PACKAGE@
128PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
129PACKAGE_NAME = @PACKAGE_NAME@
130PACKAGE_STRING = @PACKAGE_STRING@
131PACKAGE_TARNAME = @PACKAGE_TARNAME@
132PACKAGE_URL = @PACKAGE_URL@
133PACKAGE_VERSION = @PACKAGE_VERSION@
134PATH_SEPARATOR = @PATH_SEPARATOR@
135SET_MAKE = @SET_MAKE@
136SHELL = @SHELL@
137STRIP = @STRIP@
138TEMPLATE = @TEMPLATE@
139VERSION = @VERSION@
140VMDIR = @VMDIR@
141abs_builddir = @abs_builddir@
142abs_srcdir = @abs_srcdir@
143abs_top_builddir = @abs_top_builddir@
144abs_top_srcdir = @abs_top_srcdir@
145am__leading_dot = @am__leading_dot@
146am__tar = @am__tar@
147am__untar = @am__untar@
148bindir = @bindir@
149build_alias = @build_alias@
150builddir = @builddir@
151datadir = @datadir@
152datarootdir = @datarootdir@
153docdir = @docdir@
154dvidir = @dvidir@
155exec_prefix = @exec_prefix@
156host_alias = @host_alias@
157htmldir = @htmldir@
158includedir = @includedir@
159infodir = @infodir@
160install_sh = @install_sh@
161libdir = @libdir@
162libexecdir = @libexecdir@
163localedir = @localedir@
164localstatedir = @localstatedir@
165mandir = @mandir@
166mkdir_p = @mkdir_p@
167oldincludedir = @oldincludedir@
168pdfdir = @pdfdir@
169prefix = @prefix@
170program_transform_name = @program_transform_name@
171psdir = @psdir@
172sbindir = @sbindir@
173sharedstatedir = @sharedstatedir@
174srcdir = @srcdir@
175sysconfdir = @sysconfdir@
176target_alias = @target_alias@
177top_build_prefix = @top_build_prefix@
178top_builddir = @top_builddir@
179top_srcdir = @top_srcdir@
180SUBDIRS = bin css data doc images
181EXTRA_DIST = vine-manual-base.spec.in
182all: all-recursive
183
184.SUFFIXES:
185am--refresh:
186        @:
187$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
188        @for dep in $?; do \
189          case '$(am__configure_deps)' in \
190            *$$dep*) \
191              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
192              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
193                && exit 0; \
194              exit 1;; \
195          esac; \
196        done; \
197        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
198        $(am__cd) $(top_srcdir) && \
199          $(AUTOMAKE) --gnu Makefile
200.PRECIOUS: Makefile
201Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
202        @case '$?' in \
203          *config.status*) \
204            echo ' $(SHELL) ./config.status'; \
205            $(SHELL) ./config.status;; \
206          *) \
207            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
208            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
209        esac;
210
211$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
212        $(SHELL) ./config.status --recheck
213
214$(top_srcdir)/configure:  $(am__configure_deps)
215        $(am__cd) $(srcdir) && $(AUTOCONF)
216$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
217        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
218$(am__aclocal_m4_deps):
219vine-manual-base.spec: $(top_builddir)/config.status $(srcdir)/vine-manual-base.spec.in
220        cd $(top_builddir) && $(SHELL) ./config.status $@
221
222# This directory's subdirectories are mostly independent; you can cd
223# into them and run `make' without going through this Makefile.
224# To change the values of `make' variables: instead of editing Makefiles,
225# (1) if the variable is set in `config.status', edit `config.status'
226#     (which will cause the Makefiles to be regenerated when you run `make');
227# (2) otherwise, pass the desired values on the `make' command line.
228$(RECURSIVE_TARGETS):
229        @fail= failcom='exit 1'; \
230        for f in x $$MAKEFLAGS; do \
231          case $$f in \
232            *=* | --[!k]*);; \
233            *k*) failcom='fail=yes';; \
234          esac; \
235        done; \
236        dot_seen=no; \
237        target=`echo $@ | sed s/-recursive//`; \
238        list='$(SUBDIRS)'; for subdir in $$list; do \
239          echo "Making $$target in $$subdir"; \
240          if test "$$subdir" = "."; then \
241            dot_seen=yes; \
242            local_target="$$target-am"; \
243          else \
244            local_target="$$target"; \
245          fi; \
246          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
247          || eval $$failcom; \
248        done; \
249        if test "$$dot_seen" = "no"; then \
250          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
251        fi; test -z "$$fail"
252
253$(RECURSIVE_CLEAN_TARGETS):
254        @fail= failcom='exit 1'; \
255        for f in x $$MAKEFLAGS; do \
256          case $$f in \
257            *=* | --[!k]*);; \
258            *k*) failcom='fail=yes';; \
259          esac; \
260        done; \
261        dot_seen=no; \
262        case "$@" in \
263          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
264          *) list='$(SUBDIRS)' ;; \
265        esac; \
266        rev=''; for subdir in $$list; do \
267          if test "$$subdir" = "."; then :; else \
268            rev="$$subdir $$rev"; \
269          fi; \
270        done; \
271        rev="$$rev ."; \
272        target=`echo $@ | sed s/-recursive//`; \
273        for subdir in $$rev; do \
274          echo "Making $$target in $$subdir"; \
275          if test "$$subdir" = "."; then \
276            local_target="$$target-am"; \
277          else \
278            local_target="$$target"; \
279          fi; \
280          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
281          || eval $$failcom; \
282        done && test -z "$$fail"
283tags-recursive:
284        list='$(SUBDIRS)'; for subdir in $$list; do \
285          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
286        done
287ctags-recursive:
288        list='$(SUBDIRS)'; for subdir in $$list; do \
289          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
290        done
291
292ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
293        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
294        unique=`for i in $$list; do \
295            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
296          done | \
297          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
298              END { if (nonempty) { for (i in files) print i; }; }'`; \
299        mkid -fID $$unique
300tags: TAGS
301
302TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
303                $(TAGS_FILES) $(LISP)
304        set x; \
305        here=`pwd`; \
306        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
307          include_option=--etags-include; \
308          empty_fix=.; \
309        else \
310          include_option=--include; \
311          empty_fix=; \
312        fi; \
313        list='$(SUBDIRS)'; for subdir in $$list; do \
314          if test "$$subdir" = .; then :; else \
315            test ! -f $$subdir/TAGS || \
316              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
317          fi; \
318        done; \
319        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
320        unique=`for i in $$list; do \
321            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
322          done | \
323          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
324              END { if (nonempty) { for (i in files) print i; }; }'`; \
325        shift; \
326        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
327          test -n "$$unique" || unique=$$empty_fix; \
328          if test $$# -gt 0; then \
329            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
330              "$$@" $$unique; \
331          else \
332            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
333              $$unique; \
334          fi; \
335        fi
336ctags: CTAGS
337CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
338                $(TAGS_FILES) $(LISP)
339        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
340        unique=`for i in $$list; do \
341            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
342          done | \
343          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
344              END { if (nonempty) { for (i in files) print i; }; }'`; \
345        test -z "$(CTAGS_ARGS)$$unique" \
346          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
347             $$unique
348
349GTAGS:
350        here=`$(am__cd) $(top_builddir) && pwd` \
351          && $(am__cd) $(top_srcdir) \
352          && gtags -i $(GTAGS_ARGS) "$$here"
353
354distclean-tags:
355        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
356
357distdir: $(DISTFILES)
358        $(am__remove_distdir)
359        test -d "$(distdir)" || mkdir "$(distdir)"
360        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
361        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
362        list='$(DISTFILES)'; \
363          dist_files=`for file in $$list; do echo $$file; done | \
364          sed -e "s|^$$srcdirstrip/||;t" \
365              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
366        case $$dist_files in \
367          */*) $(MKDIR_P) `echo "$$dist_files" | \
368                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
369                           sort -u` ;; \
370        esac; \
371        for file in $$dist_files; do \
372          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
373          if test -d $$d/$$file; then \
374            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
375            if test -d "$(distdir)/$$file"; then \
376              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
377            fi; \
378            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
379              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
380              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
381            fi; \
382            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
383          else \
384            test -f "$(distdir)/$$file" \
385            || cp -p $$d/$$file "$(distdir)/$$file" \
386            || exit 1; \
387          fi; \
388        done
389        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
390          if test "$$subdir" = .; then :; else \
391            test -d "$(distdir)/$$subdir" \
392            || $(MKDIR_P) "$(distdir)/$$subdir" \
393            || exit 1; \
394          fi; \
395        done
396        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
397          if test "$$subdir" = .; then :; else \
398            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
399            $(am__relativize); \
400            new_distdir=$$reldir; \
401            dir1=$$subdir; dir2="$(top_distdir)"; \
402            $(am__relativize); \
403            new_top_distdir=$$reldir; \
404            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
405            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
406            ($(am__cd) $$subdir && \
407              $(MAKE) $(AM_MAKEFLAGS) \
408                top_distdir="$$new_top_distdir" \
409                distdir="$$new_distdir" \
410                am__remove_distdir=: \
411                am__skip_length_check=: \
412                am__skip_mode_fix=: \
413                distdir) \
414              || exit 1; \
415          fi; \
416        done
417        -test -n "$(am__skip_mode_fix)" \
418        || find "$(distdir)" -type d ! -perm -755 \
419                -exec chmod u+rwx,go+rx {} \; -o \
420          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
421          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
422          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
423        || chmod -R a+r "$(distdir)"
424dist-gzip: distdir
425        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
426        $(am__remove_distdir)
427dist-bzip2: distdir
428        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
429        $(am__remove_distdir)
430
431dist-lzma: distdir
432        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
433        $(am__remove_distdir)
434
435dist-xz: distdir
436        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
437        $(am__remove_distdir)
438
439dist-tarZ: distdir
440        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
441        $(am__remove_distdir)
442
443dist-shar: distdir
444        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
445        $(am__remove_distdir)
446
447dist-zip: distdir
448        -rm -f $(distdir).zip
449        zip -rq $(distdir).zip $(distdir)
450        $(am__remove_distdir)
451
452dist dist-all: distdir
453        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
454        $(am__remove_distdir)
455
456# This target untars the dist file and tries a VPATH configuration.  Then
457# it guarantees that the distribution is self-contained by making another
458# tarfile.
459distcheck: dist
460        case '$(DIST_ARCHIVES)' in \
461        *.tar.gz*) \
462          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
463        *.tar.bz2*) \
464          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
465        *.tar.lzma*) \
466          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
467        *.tar.xz*) \
468          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
469        *.tar.Z*) \
470          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
471        *.shar.gz*) \
472          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
473        *.zip*) \
474          unzip $(distdir).zip ;;\
475        esac
476        chmod -R a-w $(distdir); chmod a+w $(distdir)
477        mkdir $(distdir)/_build
478        mkdir $(distdir)/_inst
479        chmod a-w $(distdir)
480        test -d $(distdir)/_build || exit 0; \
481        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
482          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
483          && am__cwd=`pwd` \
484          && $(am__cd) $(distdir)/_build \
485          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
486            $(DISTCHECK_CONFIGURE_FLAGS) \
487          && $(MAKE) $(AM_MAKEFLAGS) \
488          && $(MAKE) $(AM_MAKEFLAGS) dvi \
489          && $(MAKE) $(AM_MAKEFLAGS) check \
490          && $(MAKE) $(AM_MAKEFLAGS) install \
491          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
492          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
493          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
494                distuninstallcheck \
495          && chmod -R a-w "$$dc_install_base" \
496          && ({ \
497               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
498               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
499               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
500               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
501                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
502              } || { rm -rf "$$dc_destdir"; exit 1; }) \
503          && rm -rf "$$dc_destdir" \
504          && $(MAKE) $(AM_MAKEFLAGS) dist \
505          && rm -rf $(DIST_ARCHIVES) \
506          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
507          && cd "$$am__cwd" \
508          || exit 1
509        $(am__remove_distdir)
510        @(echo "$(distdir) archives ready for distribution: "; \
511          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
512          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
513distuninstallcheck:
514        @$(am__cd) '$(distuninstallcheck_dir)' \
515        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
516           || { echo "ERROR: files left after uninstall:" ; \
517                if test -n "$(DESTDIR)"; then \
518                  echo "  (check DESTDIR support)"; \
519                fi ; \
520                $(distuninstallcheck_listfiles) ; \
521                exit 1; } >&2
522distcleancheck: distclean
523        @if test '$(srcdir)' = . ; then \
524          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
525          exit 1 ; \
526        fi
527        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
528          || { echo "ERROR: files left in build directory after distclean:" ; \
529               $(distcleancheck_listfiles) ; \
530               exit 1; } >&2
531check-am: all-am
532check: check-recursive
533all-am: Makefile
534installdirs: installdirs-recursive
535installdirs-am:
536install: install-recursive
537install-exec: install-exec-recursive
538install-data: install-data-recursive
539uninstall: uninstall-recursive
540
541install-am: all-am
542        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
543
544installcheck: installcheck-recursive
545install-strip:
546        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
547          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
548          `test -z '$(STRIP)' || \
549            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
550mostlyclean-generic:
551
552clean-generic:
553
554distclean-generic:
555        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
556        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
557
558maintainer-clean-generic:
559        @echo "This command is intended for maintainers to use"
560        @echo "it deletes files that may require special tools to rebuild."
561clean: clean-recursive
562
563clean-am: clean-generic mostlyclean-am
564
565distclean: distclean-recursive
566        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
567        -rm -f Makefile
568distclean-am: clean-am distclean-generic distclean-tags
569
570dvi: dvi-recursive
571
572dvi-am:
573
574html: html-recursive
575
576html-am:
577
578info: info-recursive
579
580info-am:
581
582install-data-am:
583
584install-dvi: install-dvi-recursive
585
586install-dvi-am:
587
588install-exec-am:
589
590install-html: install-html-recursive
591
592install-html-am:
593
594install-info: install-info-recursive
595
596install-info-am:
597
598install-man:
599
600install-pdf: install-pdf-recursive
601
602install-pdf-am:
603
604install-ps: install-ps-recursive
605
606install-ps-am:
607
608installcheck-am:
609
610maintainer-clean: maintainer-clean-recursive
611        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
612        -rm -rf $(top_srcdir)/autom4te.cache
613        -rm -f Makefile
614maintainer-clean-am: distclean-am maintainer-clean-generic
615
616mostlyclean: mostlyclean-recursive
617
618mostlyclean-am: mostlyclean-generic
619
620pdf: pdf-recursive
621
622pdf-am:
623
624ps: ps-recursive
625
626ps-am:
627
628uninstall-am:
629
630.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
631        install-am install-strip tags-recursive
632
633.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
634        all all-am am--refresh check check-am clean clean-generic \
635        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
636        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
637        distclean distclean-generic distclean-tags distcleancheck \
638        distdir distuninstallcheck dvi dvi-am html html-am info \
639        info-am install install-am install-data install-data-am \
640        install-dvi install-dvi-am install-exec install-exec-am \
641        install-html install-html-am install-info install-info-am \
642        install-man install-pdf install-pdf-am install-ps \
643        install-ps-am install-strip installcheck installcheck-am \
644        installdirs installdirs-am maintainer-clean \
645        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
646        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
647
648
649# Tell versions [3.59,3.63) of GNU make to not export all variables.
650# Otherwise a system limit (for SysV at least) may be exceeded.
651.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.